classification
Title: Web documentation for 2.7 has unreadable highlights in Table of Contents
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Rory McCann, benjamin.peterson, docs@python, ezio.melotti, georg.brandl, python-dev
Priority: normal Keywords:

Created on 2016-02-09 13:16 by Rory McCann, last changed 2016-02-10 12:45 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
Screenshot from 2016-02-09 13:15:43.png Rory McCann, 2016-02-09 13:16 Screenshot of highlighted text
Messages (6)
msg259930 - (view) Author: Rory McCann (Rory McCann) Date: 2016-02-09 13:16
Using Firefox 41.0.2 on Ubuntu 14.04, most table of contents in the online docs have unreadable highlighted sections, where modules/methods are named.

See https://docs.python.org/2/library/datetime.html for a good example, or the attached screenshot.

I think this highlighting has appeared recently.
The 3.x versions are fine, as is 2.6.
msg259931 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2016-02-09 13:30
In addition, the object description headers (function names...) are not styled as they should be.

Has the doc style been changed recently?
msg259976 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2016-02-10 05:09
I upgraded Sphinx a month or so ago. Could that do it?

On Tue, Feb 9, 2016, at 05:30, Georg Brandl wrote:
> 
> Georg Brandl added the comment:
> 
> In addition, the object description headers (function names...) are not
> styled as they should be.
> 
> Has the doc style been changed recently?
> 
> ----------
> nosy: +benjamin.peterson, ezio.melotti, georg.brandl
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue26320>
> _______________________________________
msg259997 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2016-02-10 09:06
That's possible. I'll have a look.
msg260006 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-02-10 12:45
New changeset 5715a6d9ff12 by Georg Brandl in branch '2.7':
Closes #26320: fix stylesheet after Sphinx update.
https://hg.python.org/cpython/rev/5715a6d9ff12
msg260007 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2016-02-10 12:45
Should be fixed now (a rebuild of the online docs will be done within a few hours). Thanks for the report!
History
Date User Action Args
2016-02-10 12:45:38georg.brandlsetmessages: + msg260007
2016-02-10 12:45:07python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg260006

resolution: fixed
stage: resolved
2016-02-10 09:06:52georg.brandlsetmessages: + msg259997
2016-02-10 05:09:32benjamin.petersonsetmessages: + msg259976
2016-02-09 13:30:20georg.brandlsetnosy: + georg.brandl, ezio.melotti, benjamin.peterson
messages: + msg259931
2016-02-09 13:16:36Rory McCanncreate